<?php

namespace OrganizationsManagement\Factory;

use Teknisa\Model\Geral\Entities\Almoxarifado;
use Teknisa\Model\Geral\Entities\Paramfilipadr;
use Teknisa\Model\Geral\Entities\Setor;
use Teknisa\Model\Estoque\Entities\Localestoque;

class Estoque 
{
    public function criaAlmoxarifado($nrorg, $cdfilial, $dtinclusao) 
    {
        $e = new Almoxarifado();

        $e->setNrorg($nrorg);
        $e->setCdfilial($cdfilial);
        $e->setCdalmoxarife(' ');
        $e->setDsalmoxarife(' ');
        $e->setDtinclusao($dtinclusao);

        return $e;
    }
    
    public function criaLocalEstoque($nrorg, $cdfilial, $dtinclusao) 
    {
        $e = new Localestoque();

        $e->setNrorg($nrorg);
        $e->setCdfilial($cdfilial);
        $e->setCdalmoxarife(' ');
        $e->setCdlocalestoq(' ');
        $e->setDslocalestoq(' ');
        $e->setDtinclusao($dtinclusao);

        return $e;
    }

    public function criaParamFiliPadr($nrorg, $cdfilial, $nmtabparamfili, $dtinclusao) 
    {
        $e = new Paramfilipadr();

        $e->setNrorg($nrorg);
        $e->setCdfilial($cdfilial);
        $e->setNmtabparamfili($nmtabparamfili);
        $e->setIdtabparamfili('N');
        $e->setDtinclusao($dtinclusao);

        return $e;
    }

    public function criaSetor($nrorg, $cdsetor, $sgsetor, $nmsetor, $dtinclusao) 
    {
        $e = new Setor();

        $e->setNrorg($nrorg);
        $e->setCdsetor($cdsetor);
        $e->setSgsetor($sgsetor);
        $e->setNmsetor($nmsetor);
        $e->setDtinclusao($dtinclusao);

        return $e;
    }
} 